# Emacs base
Lightweight configuration of emacs with basic utilities

Support C, C++, PHP, Python, ECMAScript, HMTL, Sass, less, Markdown

![emacs-base](https://img.fenixzone.net/i/zOJSwUE.png?raw=true "emacs-base")


### Markdown Mode
- Require installed markdown in distro GNU+Linux, example:

  `apt-get install markdown` or `pacman -S markdown`

### Flycheck Mode
- Require installed the languages checking, example:

  `pacman -S shellcheck`    # bash, sh

  `pacman -S eslint`        # ECMAScript

  `pacman -S python-pylint` # python

### License
- [GLPv3](LICENSE)
